{% extends "account/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Daftar" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-4@s uk-card uk-card-body">
          <form class="uk-form" method="post" action="{% url 'account_signup' %}">{% csrf_token %}
            <div class="uk-flex uk-flex-center uk-flex-middle">
              <a href="/" class="spf-link">
                <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
              </a>
            </div>

            <a title="Google" class="socialaccount_provider google"
              href="{% url 'google_login' %}?process=login">{% trans "Daftar dengan Google+" %}</a>

            <h5 class="uk-margin-small uk-heading-line uk-text-center"><span>{% trans "ATAU" %}</span></h5>

            {% if form.non_field_errors %}
              {% if form.non_field_errors|length > 1 %}
                <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                  {% for error in form.non_field_errors %}
                    <li class="uk-text-warning">{{ error }}</li>
                  {% endfor %}
                </ol>
              {% else %}
                <div class="uk-text-small uk-text-warning">
                  {{ form.non_field_errors|first }}
                </div>
              {% endif %}
            {% endif %}

            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="username" type="text" placeholder="Username" required>
              {% if form.username.errors %}
                {% if form.username.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.username.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.username.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="email" type="email" placeholder="Email" required>
              {% if form.email.errors %}
                {% if form.email.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.email.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.email.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="password1" type="password" placeholder="{% trans 'Password Baru' %}" required>
              {% if form.password1.errors %}
                {% if form.password1.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.password1.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.password1.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="password2" type="password" placeholder="{% trans 'Password Baru (lagi)' %}" required>
              {% if form.password2.errors %}
                {% if form.password2.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.password2.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.password2.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              {{ form.captcha }}
              {% if form.captcha.errors %}
                {% if form.captcha.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.captcha.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.captcha.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <button type="submit" class="uk-width-1-1 uk-button uk-button-danger">{% trans "Daftar" %}</button>
            </div>
            <div class="uk-margin uk-text-small uk-text-center">
              <a class="uk-link uk-link-muted" href="{{ login_url }}">{% trans "Saya sudah punya akun?" %}</a>
            </div>
            {% if redirect_field_value %}
              <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
            {% endif %}
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block extra_body %}
  <script src="https://www.google.com/recaptcha/api.js" async defer></script>
{% endblock %}
